Subject: Re: bug#39936: How To Resolve "LC_ALL: cannot change locale (en_US.utf8)"

From: David Philipe Gil <[email-masked]>
Date: Thu, 12 Mar 2020 20:58:19 +0000

On Thursday, March 12, 2020 5:37 PM, Leo Famulari <[email-masked]> wrote:

> On Thu, Mar 12, 2020 at 12:24:46PM +0000, David Philipe Gil wrote:
> 

> > my "/etc/systemd/system/guix-daemon.service" says:
> 

> [...]

> > Environment='GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale' LC_ALL=en_US.utf8
> 

> And do you have the locales installed in root's profile? Check if that
> directory is exists and contains locales.
> 

> Finally I would try removing the LC_ALL variable at the end. I don't
> have that (custom service file) and things are working fine for me.

I actually don't have a root profile in my home directory if that is what you mean. However, removing the "LC_ALL=en_US.utf8" from the "Environment=" line in "/etc/systemd/system/guix-daemon.service" seems to have solved the issue!

Was that added by the install script? Will this be fixed/addressed?